Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.sapale.iDOC_CREMAS03_4X_46A
Class IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A

    java.lang.Object
      IDocGroup
          com.stc.sapale.iDOC_CREMAS03_4X_46A.IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A

Enclosing class:
  IDOC_CREMAS03_4X_46A

public static class IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A
extends IDocGroup

See Also:
  Serialized Form

Nested Class Summary
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1`

Constructor Summary
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A(IDOC_CREMAS03_4X_46A idocObj)` Constructor - Creates a new instance of CREMAS03_4X_46A

Method Summary
`ControlRecord4X` | `getControlRecord4X()` Return a ControlRecord4X representation of the SAP type ControlRecord4X.
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1` | `getGroup1()` Return a Group1 representation of the SAP type Group1.
`boolean` | `hasControlRecord4X()` Tests whether ControlRecord4X is present or not.
`boolean` | `hasGroup1()` Tests whether Group1 is present or not.
`OtdMeta` | `meta()` Gets the OtdMeta root.
`void` | `setControlRecord4X(ControlRecord4X value)` Set the value of ControlRecord4X
`void` | `setGroup1(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1 value)` Set the value of Group1
`java.lang.StringBuffer` | `stringMarshal()` Marshal this group object into a byte array.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A(IDOC_CREMAS03_4X_46A idocObj)

  Constructor - Creates a new instance of CREMAS03_4X_46A

Method Detail

### getControlRecord4X

    public ControlRecord4X getControlRecord4X()

  Return a ControlRecord4X representation of the SAP type ControlRecord4X.

  Returns:
    A ControlRecord4X representation of ControlRecord4X.

### getGroup1

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1 getGroup1()

  Return a Group1 representation of the SAP type Group1.

  Returns:
    A Group1 representation of Group1.

### hasControlRecord4X

    public boolean hasControlRecord4X()

  Tests whether ControlRecord4X is present or not.

  Returns:
    true if ControlRecord4X exists else false.

### hasGroup1

    public boolean hasGroup1()

  Tests whether Group1 is present or not.

  Returns:
    true if Group1 exists else false.

### meta

    public OtdMeta meta()

  Gets the OtdMeta root.

  Returns:
    Run-time tree of data nodes.

### setControlRecord4X

    public void setControlRecord4X(ControlRecord4X value)

  Set the value of ControlRecord4X

  Parameters:
    `value` - The ControlRecord4X value for ControlRecord4X.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setGroup1

    public void setGroup1(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1 value)

  Set the value of Group1

  Parameters:
    `value` - The Group1 value for Group1.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### stringMarshal

    public java.lang.StringBuffer stringMarshal()

  Marshal this group object into a byte array.

  Returns:
    Group byte array.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Sun Microsystems, Inc.